<template>
	<view class=" padding-lr">
		<!-- #ifndef MP-WEIXIN -->
		<view class="flex" @click="goNav('/pages/public/pwd')">
			<view class="flex-sub text-df" style="line-height: 50upx;">修改密码</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<!-- #endif -->
		<view class="flex" @click="goNav('/my/order/tousuList')">
			<view class="flex-sub text-df" style="line-height: 50upx;">我的投诉</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<view class="flex" @click="goNav('/my/help/feedbackIndex')">
			<view class="flex-sub text-df" style="line-height: 50upx;">帮助中心</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<view class="flex" @click="goNav('/my/feedback/index')">
			<view class="flex-sub text-df" style="line-height: 50upx;">意见反馈</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<view class="flex" @click="goNav('/my/setting/xieyi')">
			<view class="flex-sub text-df" style="line-height: 50upx;">用户协议</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<view class="flex" @click="goNav('/my/setting/mimi')">
			<view class="flex-sub text-df" style="line-height: 50upx;">隐私政策</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<view class="flex" v-if="isShow" @click="goNav('/my/setting/zhuxiao')">
			<view class="flex-sub text-df" style="line-height: 50upx;">注销账号</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
				</image>
		</view>
		<view class="flex" @click="goNav('/my/setting/about')">
			<view class="flex-sub text-df" style="line-height: 50upx;">关于我们</view>
			<image src="../../static/images/my/right.png" style="line-height: 50upx;width: 30rpx;height: 30rpx;">
			</image>
		</view>
		<view v-if="isShow" class="btn" @click="TuiLogin">退出登录</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				version: '',
				isShow: false
			}
		},
		onShow() {
			let token = this.$queue.getData('token');
			if (token) {
				this.isShow = true;
			}
		},
		onLoad() {
			// #ifdef APP-PLUS
			plus.runtime.getProperty(plus.runtime.appid, widgetInfo => {
				this.version = widgetInfo.version;
			});
			// #endif
		},
		methods: {
			//退出登录
			TuiLogin() {
				let that = this
				let userId = this.$queue.getData('userId');
				if (userId) {
					uni.showModal({
						title: '提示',
						content: '确定退出登录吗？',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.removeStorageSync('userName')
								uni.removeStorageSync('avatar')
								uni.removeStorageSync('userId')
								uni.removeStorageSync('token')
								uni.removeStorageSync('phone')
								uni.removeStorageSync('zhiFuBaoName')
								uni.removeStorageSync('zhiFuBao')
								uni.removeStorageSync('invitationCode')
								uni.removeStorageSync('unionId')
								uni.removeStorageSync('openId')
								uni.removeStorageSync('isVIP')
								uni.showToast({
									title: '退出成功！',
									icon: 'none'
								})
								uni.switchTab({
									url:'/pages/my/index'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					})
				} else {
					uni.showModal({
						title: '提示',
						content: '您还未登录,请先登录',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.navigateTo({
									url: '/pages/public/login'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					})
				}
			
			
			},
			goNav(e) {
				uni.navigateTo({
					url: e
				})
			},
			goOut() {
				uni.showModal({
					title: '提示',
					content: '确定退出登录吗？',
					success: function(res) {
						if (res.confirm) {
							console.log('用户点击确定');
							uni.removeStorageSync('userName')
							uni.removeStorageSync('avatar')
							uni.removeStorageSync('userId')
							uni.removeStorageSync('token')
							uni.removeStorageSync('phone')
							uni.removeStorageSync('zhiFuBaoName')
							uni.removeStorageSync('zhiFuBao')
							uni.removeStorageSync('invitationCode')
							uni.removeStorageSync('unionId')
							uni.removeStorageSync('openId')
							uni.removeStorageSync('isVIP')
							uni.showToast({
								title: '退出成功！',
								icon: 'none'
							})
							setTimeout(function() {
								uni.navigateBack()
							}, 1000)
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				})
			}
		}

	}
</script>

<style scoped>
	.text-df{
		font-size: 28rpx;
		color: #222222;
		padding: 16rpx 0 !important;
	}
	.btn {
		width: 686rpx;
		height: 100rpx;
		line-height: 100rpx;
		background: linear-gradient( 143deg, #FFE6EE 0%, #FF9AB2 100%);
		border-radius: 86rpx 86rpx 86rpx 86rpx;
		text-align: center;
		font-weight: bold;
		font-size: 32rpx;
		color: #222222;
		position: fixed;
		bottom: 94rpx;
		left: 32rpx;
	}
</style>
